import { HttpError, RestRequest, RestResponse, Router } from "../server/Server.ts";

export default class AppRouter extends Router {
    public onError(_req: RestRequest, error: unknown): RestResponse | HttpError | Promise<RestResponse | HttpError> {
        if (error instanceof HttpError) return new HttpError({ error: error.body }, error.status);
        return super.onError(_req, error);
    }
}